import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class FindStoreService {
    private http;
    private homeBranchName;
    homeBranch: Observable<any>;
    homeBranchApi(newUser: any): void;
    constructor(http: HttpClient);
    changeBranch(data: any): Observable<any>;
    getAllStores(latAndlong?: any): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FindStoreService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FindStoreService>;
}
